import { defineStore } from 'pinia'

interface CountState {
  count1: number
  userId: any
  userName: string
}

export const countStore = defineStore(
  'count-store',
  {
    state: (): CountState => ({
      count1: 50,
      userId: null,
      userName: '',
    }),
    actions: {
      randomizeCounter(count: number) {
        this.count1 = count
      },
      setNameAId(userId: any, userName: string) {
        return new Promise<void>((resolve) => {
          this.userId = userId
          this.userName = userName
          resolve()
        })
      },
    },
  })
